Categories:
  - Internet
License: Apache-2.0
WebSite: http://atalk.sytes.net/
SourceCode: https://github.com/cmeng-git/atalk-android
IssueTracker: https://github.com/cmeng-git/atalk-android/issues
Changelog: https://github.com/cmeng-git/atalk-android/blob/HEAD/aTalk/ReleaseNotes.txt

AutoName: aTalk
Description: |-
    aTalk is an XMPP client that supports the following features:

    * Instant messaging in plain text and End-to-End encryption with [http://conversations.im/omemo/ OMEMO] or [https://otr.cypherpunks.ca/index.php#docs OTR]
    * OMEMO encryption is available during multi-user group chat session, giving users maximum privacy and security
    * Supports both voice and video call with ZRTP encryption
    * Send and receive files for all document types and images. For image file, a thumbnail is first sent for preview and acceptance is needed before the actual file is sent
    * Integrated photo editor with zooming and cropping, user can update his/her avatar with ease
    * Multiple accounts support

RepoType: git
Repo: https://github.com/cmeng-git/atalk-android

Builds:
  - versionName: 1.8.3
    versionCode: 1083
    commit: 1.8.3
    subdir: aTalk/
    gradle:
      - fdroid
    srclibs:
      - fmj@r122
      - jitsi-zrtp4j@7cbd8101108191089aad871002567c2a0eb2b512
    rm:
      - aTalk/lib/src_reference/*/*.jar
      - aTalk/lib/bundles/*.jar
      - aTalk/jni/ffmpeg/android/
      - aTalk/jni/openssl/android/
      - aTalk/jni/vpx/android/
    prebuild: sed -i -e "/clean.dependsOn 'ndkClean'/d" build.gradle
    build:
      - pushd $$fmj$$
      - ant
      - popd
      - pushd $$jitsi-zrtp4j$$
      - ant jar
      - popd
      - mv $$fmj$$/build/jars/fmj.jar lib/bundles/fmj-1.0-SNAPSHOT.jar
      - mv $$jitsi-zrtp4j$$/dist/zrtp4j-light.jar lib/bundles/zrtp4j-light-4.1.0-jitsi-1-SNAPSHOT.jar
      - pushd jni/static_library_built/ffmpeg-x264/
      - ./init_update_libs.sh
      - ./ffmpeg-atalk_build.sh
      - popd
      - mv jni/static_library_built/ffmpeg-x264/android/ jni/ffmpeg/
      - pushd jni/static_library_built/libvpx/
      - ./init_libvpx.sh
      - ./build-libvpx4android.sh
      - popd
      - mv jni/static_library_built/libvpx/output/android/ jni/vpx/
      - pushd jni/static_library_built/openssl/
      - ./init_libopenssl.sh
      - ./build-openssl4android.sh
      - popd
      - mv jni/static_library_built/openssl/output/android/ jni/openssl/
    ndk: r15c

  - versionName: 1.8.5
    versionCode: 1085
    commit: 1.8.5
    subdir: aTalk/
    gradle:
      - fdroid
    srclibs:
      - fmj@r122
      - jitsi-zrtp4j@7cbd8101108191089aad871002567c2a0eb2b512
    rm:
      - aTalk/lib/src_reference/*/*.jar
      - aTalk/lib/bundles/*.jar
      - aTalk/jni/ffmpeg/android/
      - aTalk/jni/openssl/android/
      - aTalk/jni/vpx/android/
    prebuild: sed -i -e "/clean.dependsOn 'ndkClean'/d" build.gradle
    build:
      - pushd $$fmj$$
      - ant
      - popd
      - pushd $$jitsi-zrtp4j$$
      - ant jar
      - popd
      - mv $$fmj$$/build/jars/fmj.jar lib/bundles/fmj-1.0-SNAPSHOT.jar
      - mv $$jitsi-zrtp4j$$/dist/zrtp4j-light.jar lib/bundles/zrtp4j-light-4.1.0-jitsi-1-SNAPSHOT.jar
      - pushd jni/static_library_built/ffmpeg-x264/
      - ./init_update_libs.sh
      - ./ffmpeg-atalk_build.sh
      - popd
      - mv jni/static_library_built/ffmpeg-x264/android/ jni/ffmpeg/
      - pushd jni/static_library_built/libvpx/
      - ./init_libvpx.sh
      - ./build-libvpx4android.sh
      - popd
      - mv jni/static_library_built/libvpx/output/android/ jni/vpx/
      - pushd jni/static_library_built/openssl/
      - ./init_libopenssl.sh
      - ./build-openssl4android.sh
      - popd
      - mv jni/static_library_built/openssl/output/android/ jni/openssl/
    ndk: r15c

  - versionName: 1.8.8
    versionCode: 1088
    commit: 1.8.8
    subdir: aTalk/
    gradle:
      - fdroid
    srclibs:
      - fmj@r122
      - jitsi-zrtp4j@7cbd8101108191089aad871002567c2a0eb2b512
    rm:
      - aTalk/lib/src_reference/*/*.jar
      - aTalk/lib/bundles/*.jar
      - aTalk/jni/ffmpeg/android/
      - aTalk/jni/openssl/android/
      - aTalk/jni/vpx/android/
    prebuild: sed -i -e "/clean.dependsOn 'ndkClean'/d" build.gradle
    build:
      - pushd $$fmj$$
      - ant
      - popd
      - pushd $$jitsi-zrtp4j$$
      - ant jar
      - popd
      - mv $$fmj$$/build/jars/fmj.jar lib/bundles/fmj-1.0-SNAPSHOT.jar
      - mv $$jitsi-zrtp4j$$/dist/zrtp4j-light.jar lib/bundles/zrtp4j-light-4.1.0-jitsi-1-SNAPSHOT.jar
      - pushd jni/static_library_built/ffmpeg-x264/
      - ./init_update_libs.sh
      - ./ffmpeg-atalk_build.sh
      - popd
      - mv jni/static_library_built/ffmpeg-x264/android/ jni/ffmpeg/
      - pushd jni/static_library_built/libvpx/
      - ./init_libvpx.sh
      - ./build-libvpx4android.sh
      - popd
      - mv jni/static_library_built/libvpx/output/android/ jni/vpx/
      - pushd jni/static_library_built/openssl/
      - ./init_libopenssl.sh
      - ./build-openssl4android.sh
      - popd
      - mv jni/static_library_built/openssl/output/android/ jni/openssl/
    ndk: r15c

  - versionName: 2.0.0
    versionCode: 1100
    commit: 2.0.0
    subdir: aTalk/
    gradle:
      - fdroid
    srclibs:
      - fmj@r122
      - jitsi-zrtp4j@7cbd8101108191089aad871002567c2a0eb2b512
    rm:
      - aTalk/lib/src_reference/*/*.jar
      - aTalk/lib/bundles/*.jar
      - aTalk/jni/ffmpeg/android/
      - aTalk/jni/openssl/android/
      - aTalk/jni/vpx/android/
    prebuild: sed -i -e "/clean.dependsOn 'ndkClean'/d" build.gradle
    build:
      - pushd $$fmj$$
      - ant
      - popd
      - pushd $$jitsi-zrtp4j$$
      - ant jar
      - popd
      - mv $$fmj$$/build/jars/fmj.jar lib/bundles/fmj-1.0-SNAPSHOT.jar
      - mv $$jitsi-zrtp4j$$/dist/zrtp4j-light.jar lib/bundles/zrtp4j-light-4.1.0-jitsi-1-SNAPSHOT.jar
      - pushd jni/static_library_built/ffmpeg-x264/
      - ./init_update_libs.sh
      - ./ffmpeg-atalk_build.sh
      - popd
      - mv jni/static_library_built/ffmpeg-x264/android/ jni/ffmpeg/
      - pushd jni/static_library_built/libvpx/
      - ./init_libvpx.sh
      - ./build-libvpx4android.sh
      - popd
      - mv jni/static_library_built/libvpx/output/android/ jni/vpx/
      - pushd jni/static_library_built/openssl/
      - ./init_libopenssl.sh
      - ./build-openssl4android.sh
      - popd
      - mv jni/static_library_built/openssl/output/android/ jni/openssl/
    ndk: r15c

  - versionName: 2.0.1
    versionCode: 1101
    commit: 2.0.1
    subdir: aTalk/
    gradle:
      - fdroid
    srclibs:
      - fmj@r122
      - jitsi-zrtp4j@7cbd8101108191089aad871002567c2a0eb2b512
    rm:
      - aTalk/lib/src_reference/*/*.jar
      - aTalk/lib/bundles/*.jar
      - aTalk/jni/ffmpeg/android/
      - aTalk/jni/openssl/android/
      - aTalk/jni/vpx/android/
    prebuild: sed -i -e "/clean.dependsOn 'ndkClean'/d" build.gradle
    build:
      - pushd $$fmj$$
      - ant
      - popd
      - pushd $$jitsi-zrtp4j$$
      - ant jar
      - popd
      - mv $$fmj$$/build/jars/fmj.jar lib/bundles/fmj-1.0-SNAPSHOT.jar
      - mv $$jitsi-zrtp4j$$/dist/zrtp4j-light.jar lib/bundles/zrtp4j-light-4.1.0-jitsi-1-SNAPSHOT.jar
      - pushd jni/static_library_built/ffmpeg-x264/
      - ./init_update_libs.sh
      - ./ffmpeg-atalk_build.sh
      - popd
      - mv jni/static_library_built/ffmpeg-x264/android/ jni/ffmpeg/
      - pushd jni/static_library_built/libvpx/
      - ./init_libvpx.sh
      - ./build-libvpx4android.sh
      - popd
      - mv jni/static_library_built/libvpx/output/android/ jni/vpx/
      - pushd jni/static_library_built/openssl/
      - ./init_libopenssl.sh
      - ./build-openssl4android.sh
      - popd
      - mv jni/static_library_built/openssl/output/android/ jni/openssl/
    ndk: r15c

  - versionName: 2.0.2
    versionCode: 1102
    commit: 2.0.2
    subdir: aTalk/
    gradle:
      - fdroid
    srclibs:
      - fmj@r122
      - jitsi-zrtp4j@7cbd8101108191089aad871002567c2a0eb2b512
    rm:
      - aTalk/lib/src_reference/*/*.jar
      - aTalk/lib/bundles/*.jar
      - aTalk/jni/ffmpeg/android/
      - aTalk/jni/openssl/android/
      - aTalk/jni/vpx/android/
    prebuild: sed -i -e "/clean.dependsOn 'ndkClean'/d" build.gradle
    build:
      - pushd $$fmj$$
      - ant
      - popd
      - pushd $$jitsi-zrtp4j$$
      - ant jar
      - popd
      - mv $$fmj$$/build/jars/fmj.jar lib/bundles/fmj-1.0-SNAPSHOT.jar
      - mv $$jitsi-zrtp4j$$/dist/zrtp4j-light.jar lib/bundles/zrtp4j-light-4.1.0-jitsi-1-SNAPSHOT.jar
      - pushd jni/static_library_built/ffmpeg-x264/
      - ./init_update_libs.sh
      - ./ffmpeg-atalk_build.sh
      - popd
      - mv jni/static_library_built/ffmpeg-x264/android/ jni/ffmpeg/
      - pushd jni/static_library_built/libvpx/
      - ./init_libvpx.sh
      - ./build-libvpx4android.sh
      - popd
      - mv jni/static_library_built/libvpx/output/android/ jni/vpx/
      - pushd jni/static_library_built/openssl/
      - ./init_libopenssl.sh
      - ./build-openssl4android.sh
      - popd
      - mv jni/static_library_built/openssl/output/android/ jni/openssl/
    ndk: r15c

  - versionName: 2.0.3
    versionCode: 1103
    commit: 2.0.3
    subdir: aTalk/
    gradle:
      - fdroid
    srclibs:
      - fmj@r122
      - jitsi-zrtp4j@7cbd8101108191089aad871002567c2a0eb2b512
    rm:
      - aTalk/lib/src_reference/*/*.jar
      - aTalk/lib/bundles/*.jar
      - aTalk/jni/ffmpeg/android/
      - aTalk/jni/openssl/android/
      - aTalk/jni/vpx/android/
    prebuild: sed -i -e "/clean.dependsOn 'ndkClean'/d" build.gradle
    build:
      - pushd $$fmj$$
      - ant
      - popd
      - pushd $$jitsi-zrtp4j$$
      - ant jar
      - popd
      - mv $$fmj$$/build/jars/fmj.jar lib/bundles/fmj-1.0-SNAPSHOT.jar
      - mv $$jitsi-zrtp4j$$/dist/zrtp4j-light.jar lib/bundles/zrtp4j-light-4.1.0-jitsi-1-SNAPSHOT.jar
      - pushd jni/static_library_built/ffmpeg-x264/
      - ./init_update_libs.sh
      - ./ffmpeg-atalk_build.sh
      - popd
      - mv jni/static_library_built/ffmpeg-x264/android/ jni/ffmpeg/
      - pushd jni/static_library_built/libvpx/
      - ./init_libvpx.sh
      - ./build-libvpx4android.sh
      - popd
      - mv jni/static_library_built/libvpx/output/android/ jni/vpx/
      - pushd jni/static_library_built/openssl/
      - ./init_libopenssl.sh
      - ./build-openssl4android.sh
      - popd
      - mv jni/static_library_built/openssl/output/android/ jni/openssl/
    ndk: r15c

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 2.0.3
CurrentVersionCode: 1103
